Stories
Slash Boxes
Comments
NOTE: use Perl; is on undef hiatus. You can read content, but you can't post it. More info will be forthcoming forthcomingly.

All the Perl that's Practical to Extract and Report

The Fine Print: The following comments are owned by whoever posted them. We are not responsible for them in any way.
 Full
 Abbreviated
 Hidden
More | Login | Reply
Loading... please wait.
  • Of course, you've seen mine already: http://use.perl.org/comments.pl?sid=33110 [perl.org]
  • Yesterday I installed 48 modules, many via CPAN.pm and 18 manually (amid much confusion - see below). I may have missed some pre-requisites being installed, too, via CPAN.
    There were various problems/scenarios:
    o No 'install' for Compress::Zlib, ExtUtils::MakeMaker, Module::Signature
    o 7 modules I wanted were up-to-date
    o 3 (at least) got CRC errors under CPAN.pm so I downloaded and installed them manually (after repeated tries, including deleting the auto-download). PITA
    o Several had mysterious tar errors (at
    • Also, wearing my absolute beginner's hat, I had trouble finding in Perl's docs how to upgrade an installed module. Beginners should not have to know Perl or CPAN(.pm) to do that, since they won't even know what to look for.

      Please help users of Vanilla/Etc by making 'perl -MCPAN -e "install Killer::App"' prominent in the shipped docs.